from metadata.sdk import configureimport requestsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# List dashboard servicesresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices?limit=50", headers={"Authorization": "Bearer your-jwt-token"})result = response.json()for svc in result["data"]: print(f"{svc['fullyQualifiedName']} ({svc['serviceType']})")# With fieldsresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices?fields=owners,tags,domains&limit=50", headers={"Authorization": "Bearer your-jwt-token"})
import org.openmetadata.schema.entity.services.DashboardService;import org.openmetadata.sdk.models.ListParams;import org.openmetadata.sdk.models.ListResponse;// client is an initialized OpenMetadataClient.// List first pageListResponse<DashboardService> firstPage = client.dashboardServices().list(new ListParams().setLimit(50));for (DashboardService service : firstPage.getData()) { System.out.println(service.getFullyQualifiedName());}// With fieldsListResponse<DashboardService> withFields = client.dashboardServices().list( new ListParams().setFields("owners,tags,domains").setLimit(50));
# List allcurl "{base_url}/api/v1/services/dashboardServices?limit=50" \ -H "Authorization: Bearer {access_token}"# With fieldscurl "{base_url}/api/v1/services/dashboardServices?fields=owners,tags,domains&limit=50" \ -H "Authorization: Bearer {access_token}"
List all dashboard services with optional filtering and pagination
GET
/
v1
/
services
/
dashboardServices
GET /v1/services/dashboardServices
from metadata.sdk import configureimport requestsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# List dashboard servicesresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices?limit=50", headers={"Authorization": "Bearer your-jwt-token"})result = response.json()for svc in result["data"]: print(f"{svc['fullyQualifiedName']} ({svc['serviceType']})")# With fieldsresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices?fields=owners,tags,domains&limit=50", headers={"Authorization": "Bearer your-jwt-token"})
import org.openmetadata.schema.entity.services.DashboardService;import org.openmetadata.sdk.models.ListParams;import org.openmetadata.sdk.models.ListResponse;// client is an initialized OpenMetadataClient.// List first pageListResponse<DashboardService> firstPage = client.dashboardServices().list(new ListParams().setLimit(50));for (DashboardService service : firstPage.getData()) { System.out.println(service.getFullyQualifiedName());}// With fieldsListResponse<DashboardService> withFields = client.dashboardServices().list( new ListParams().setFields("owners,tags,domains").setLimit(50));
# List allcurl "{base_url}/api/v1/services/dashboardServices?limit=50" \ -H "Authorization: Bearer {access_token}"# With fieldscurl "{base_url}/api/v1/services/dashboardServices?fields=owners,tags,domains&limit=50" \ -H "Authorization: Bearer {access_token}"
from metadata.sdk import configureimport requestsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# List dashboard servicesresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices?limit=50", headers={"Authorization": "Bearer your-jwt-token"})result = response.json()for svc in result["data"]: print(f"{svc['fullyQualifiedName']} ({svc['serviceType']})")# With fieldsresponse = requests.get( "https://your-company.open-metadata.org/api/v1/services/dashboardServices?fields=owners,tags,domains&limit=50", headers={"Authorization": "Bearer your-jwt-token"})
import org.openmetadata.schema.entity.services.DashboardService;import org.openmetadata.sdk.models.ListParams;import org.openmetadata.sdk.models.ListResponse;// client is an initialized OpenMetadataClient.// List first pageListResponse<DashboardService> firstPage = client.dashboardServices().list(new ListParams().setLimit(50));for (DashboardService service : firstPage.getData()) { System.out.println(service.getFullyQualifiedName());}// With fieldsListResponse<DashboardService> withFields = client.dashboardServices().list( new ListParams().setFields("owners,tags,domains").setLimit(50));
# List allcurl "{base_url}/api/v1/services/dashboardServices?limit=50" \ -H "Authorization: Bearer {access_token}"# With fieldscurl "{base_url}/api/v1/services/dashboardServices?fields=owners,tags,domains&limit=50" \ -H "Authorization: Bearer {access_token}"
Returns a paginated list of dashboard service objects. By default, only basic fields are included. Use the fields parameter to request additional data.